Bug 1427218 (CVE-2017-6314) - CVE-2017-6314 gdk-pixbuf: Infinite loop in io-tiff.c
Summary: CVE-2017-6314 gdk-pixbuf: Infinite loop in io-tiff.c
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-6314
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20170221,reported=2...
Depends On: 1427226 1427229 1427225
Blocks: 1427223
TreeView+ depends on / blocked
 
Reported: 2017-02-27 15:50 UTC by Andrej Nemec
Modified: 2019-06-08 21:49 UTC (History)
23 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-28 08:05:56 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-02-27 15:50:05 UTC
An infinite loop vulnerability was found in gdk-pixbuf. Loading a maliciously crafted tiff image would cause the application to crash.

References:

http://seclists.org/oss-sec/2017/q1/466
http://mov.sx/2017/02/21/bug-hunting-gdk-pixbuf.html

Upstream bug:

https://bugzilla.gnome.org/show_bug.cgi?id=779020

Comment 1 Andrej Nemec 2017-02-27 16:02:17 UTC
Created gdk-pixbuf2 tracking bugs for this issue:

Affects: fedora-all [bug 1427225]


Created mingw-gdk-pixbuf tracking bugs for this issue:

Affects: fedora-all [bug 1427226]

Comment 2 Andrej Nemec 2017-02-27 16:13:04 UTC
Created mingw-gdk-pixbuf tracking bugs for this issue:

Affects: epel-7 [bug 1427229]

Comment 3 thiruvadi rajaraman 2017-04-25 10:24:03 UTC
Hi,

I have attached the patch to resolve the infinite loop issue with new_size value when become zero in io-tiff.c. 

Please refer the comment#1 of https://bugzilla.gnome.org/show_bug.cgi?id=779020.

Please review and suggest your comments.

Thanks,
Thiruvadi Rajaraman

Comment 5 Dhiru Kholia 2017-04-28 08:05:56 UTC
Statement:

This issue affects the versions of gdk-pixbuf2 as shipped with Red Hat Enterprise Linux 6 and 7. Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/ and Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.


Note You need to log in before you can comment on or make changes to this bug.